﻿$ErrorActionPreference = 'Stop' # stop on all errors

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType = 'MSI'
  url = 'https://nightly.glpi-project.org/glpi-agent/GLPI-Agent-1.6-gitfb10e0cf-x86.msi' # (From $Latest)
  file64 = 'GLPI-Agent-1.6-gitfb10e0cf-x64.msi' # (From $Latest)

  softwareName = 'GLPI Agent *'

  checksum = 'BC6C9A80285C2C6A8E213473086B02764A971F919536F6AAA7A2F03D6CD2A513' # (From $Latest)
  checksumType = 'sha256' # (From $Latest)
  checksum64 = 'B92FA9FF91F7FD15DA5B10AA536FB93AE4F992E645BDCE99B29D6139389910B4' # (From $Latest)
  checksumType64 = 'sha256' # (From $Latest)

  # MSI
  silentArgs = '/quiet'
  validExitCodes= @(0)
}

If ((Get-OSArchitectureWidth 32) -or $env:ChocolateyForceX86 -eq 'true') {
  # Download the 32-bit installer on-the-fly
  Install-ChocolateyPackage @packageArgs
} Else {
  # Use the embedded 64-bit installer

  # Access file from $toolsDir
  $packageArgs.file64 = Join-Path $toolsDir $packageArgs.file64
  Install-ChocolateyInstallPackage @packageArgs
}
